Contributing
============
Contributions to wright are greatly appreciated. Here's how you can
help.

Reporting issues
----------------
If you encounter any problems with wright, please take the time to
report them via the [issue tracker][github-issues].

[github-issues]: https://github.com/sometimesfood/wright/issues

- Make sure your problem has not already been reported.
- Explain how to reproduce your problem.
- Include your version of wright as well as your Ruby version and
  operating system.

Submitting pull requests
------------------------
- Fork the project.
- Open a new feature branch (`git checkout -b hackety-hack`).
- Write [proper commit messages][commit-messages].
- If you add new features, please add tests and make sure all tests
  are passing (`bundle exec rake test`).
- Please make sure that your code does not introduce any Rubocop
  warnings (`bundle exec rubocop`).
- Squash or rebase your commits if necessary.
- Open a [pull request][pull-requests].

[commit-messages]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
[pull-requests]: https://help.github.com/articles/using-pull-requests/

Running the tests
-----------------
To start hacking on wright, simply install the development
dependencies via bundler and run the tests:

 - `bundle install --path .bundle`
 - `bundle exec rake test`

All tests should pass.
